File: README

package info (click to toggle)
geda-gnetlist 20050313-1
  • links: PTS
  • area: main
  • in suites: sarge
  • size: 2,092 kB
  • ctags: 702
  • sloc: lisp: 5,519; ansic: 3,809; sh: 3,647; makefile: 291
file content (130 lines) | stat: -rw-r--r-- 3,748 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130

gEDA

GPL Electronic Design Automation
------------------------------------------------------------------------------

README for gnetlist version 2005* 


- Installation

	See the file INSTALL for more instructions on how to build gnetlist



- System Requirements

	A computer:
   	   - at least the processing power of a i486/66
	   - Enough RAM for X (usually 16 Mbytes but 32 Mbytes recommended)

	Running UNIX:
	   - Semi recent version of UNIX
	   - Compiled on:
		FreeBSD (2.2.5) 	
		Linux (2.0, 2.2)	(and highly tested) 
		Solaris (2.5)		
		SunOS (4.1.3)	
		HP-UX (9.07)	

	The X window system 	
		- A resolution of at least 800x600
		- A color display
		- 3 button mouse (2 button works, but 3 button is better)

	A C compiler (that understands ANSI, like gcc) 

	GLIB version 2.2.x or higher (and anything glib requires)
	GLIB version 1.2.x is no longer supported.
	Glib can be found at ftp://ftp.gtk.org/pub/gtk

	GTK+ version 2.2.x or higher (and anything gtk requires)
	GTK+ version 1.2.x is no longer supported.
	Gtk can be found at: ftp://ftp.gtk.org/pub/gtk

	libgeda (same version as gnetlist)
	This can be found on the gEDA website/ftpsite

	symbols (same version as gnetlist)
	This can be found on the gEDA website/ftpsite
		
	GUILE - 1.6.x or later is required (and anything guile requires).  
	Guile 1.4.x is no longer supported.
	Guile can be found at: ftp://ftp.gnu.org/pub/gnu/guile

	LibStroke 0.5.1 [OPTIONAL] - if you want stroke support.  The homepage
	for LibStroke is: http://www.etla.net/libstroke/

	libgdgeda 2.0.15 [OPTIONAL] - if you want the ability to write png
	images.  libgdgeda is based on gd 2.0.9  The homepage for gd 2.0.x is
	http://www.boutell.com/gd  You can find libgdgeda on the gEDA
	website: http://www.geda.seul.org/dist

	If you use libgdgeda then you also need zlib.  zlib can be found at:
	http://www.cdrom.com/pub/infozip/zlib  zlib can also be found on
	the gEDA website: http://www.geda.seul.org/dist 

	If you use libgdgeda then you also need libpng.  libpng can be found 
 	at: http://www.libpng.org/pub/png/pngcode.html  libpng can also be 
	found on the gEDA website: http://www.geda.seul.org/dist 

	An understanding that this software is ALPHA release quality :)



- License  

        gEDA/gaf (which includes libgeda, gschem, gnetlist, geda, setup,
        gsymcheck, gschcheck, gpcb, utils, docs, examples, all associated
        files, the component symbols, and all the file formats) is placed
        under the GNU Public License (GPL) version 2.0.  See the various
        COPYING files for more information.

	Programs and associated files are: 
	Copyright 1998-2005 by Ales V. Hvezda and the respective original
	authors (which are listed on the respective files)



- gEDA Internet resources

	Homepage: http://www.geda.seul.org

	Mailing list:
		To subscribe send an email to: majordomo@geda.seul.org  
	 	with   subscribe geda-user   in the body.
		
		To unsubscribe send an email to: majordomo@geda.seul.org
	 	with   unsubscribe geda-user   in the body.

		To send email to the list use the address:

			geda-user@geda.seul.org

		Remember, geda-user@geda.seul.org is for the actual traffic.  
		For administrative commands, use majordomo@geda.seul.org.

		The mailing list archive is at:

			http://www.geda.seul.org/mailinglist 

	Many thanks to the SEUL project for hosting gEDA!



- Notes
 
	* For anybody developing guile scripts using guile 1.6.x really should
	  set GUILE_WARN_DEPRECATED=detailed   to see if they are using any
	  deprecated guile functions in their scripts.  gnetlist disables the
	  guile deprecated function warnings by default.



- Contact information  

	Ales V. Hvezda 
	E-mail: ahvezda@geda.seul.org
	Web: http://www.geda.seul.org/